/*代码高亮 */

/* 滚动条设置整体样式 */
.entry .entry-content .wp-block-code::-webkit-scrollbar,.entry .entry-content pre::-webkit-scrollbar {
	height: 8px;
	background-color: transparent;
}
*/

/* 滚动条轨道（未滚动部分）的样式 */
.entry .entry-content .wp-block-code::-webkit-scrollbar-track,.entry .entry-content pre::-webkit-scrollbar-track {
	background-color: transparent;
	border-radius: 4px;
}
/* 滚动条滑块（可拖动部分）的样式 */
.entry .entry-content .wp-block-code::-webkit-scrollbar-thumb,.entry .entry-content pre::-webkit-scrollbar-thumb {
	background-color: rgb(149,149,149,.5);
	border-radius: 4px;
	border: none;
}
/* 滚动条向上（或向左）按钮的样式 */
.entry .entry-content .wp-block-code::-webkit-scrollbar-button:start:decrement,.entry .entry-content pre::-webkit-scrollbar-button {
	display: none;
}
/* 滚动条向下（或向右）按钮的样式 */
.entry .entry-content .wp-block-code::-webkit-scrollbar-button:end:increment,.entry .entry-content pre::-webkit-scrollbar-button {
	display: none;
}
/* 滚动条角落（垂直和水平滚动条相交处）的样式 */
.entry .entry-content .wp-block-code::-webkit-scrollbar-corner,.entry .entry-content pre::-webkit-scrollbar-corner {
	background-color: transparent;
}

.entry .entry-content .wp-block-code,
.entry .entry-content pre {
	background-color: #f8f8f8;
	border: 1px solid rgb(0 0 0 /.03);
	color: #17233d !important;
}

body.style-for-dark .entry .entry-content .wp-block-code,
body.style-for-dark .entry .entry-content pre {
	background-color: rgb(0 0 0 /.2);
	border: 1px solid rgb(0 0 0 /.1);
	color: rgb(255 255 255 / .8) !important;
}

.wp-block-wpcom-hljs .copy-btn .icon-svg,
.wp-block-wpcom-hljs .copy-btn .wpcom-icon svg {
	fill: rgb(0 0 0 / .4) !important;
}

.wp-block-wpcom-hljs .copy-btn {
	border: 1px solid rgb(0 0 0 /.1);
}

.wp-block-wpcom-hljs .copy-btn:hover {
	border: 1px solid rgb(0 0 0 /.2);
	background: rgb(0 0 0 / .05)
}

.wp-block-wpcom-hljs .success {
	border: 1px solid rgb(0 0 0 /.1) !important;
}

body.style-for-dark .wp-block-wpcom-hljs .copy-btn .icon-svg,
body.style-for-dark .wp-block-wpcom-hljs .copy-btn .wpcom-icon svg {
	fill: rgb(255 255 255 / .4) !important;
}

body.style-for-dark .wp-block-wpcom-hljs .copy-btn {
	border: 1px solid rgb(255 255 255 /.1);
}

body.style-for-dark .wp-block-wpcom-hljs .copy-btn:hover {
	border: 1px solid rgb(255 255 255 /.2);
	background: rgb(255 255 255 / .05)
}

body.style-for-dark .wp-block-wpcom-hljs .success {
	border: 1px solid rgb(255 255 255 /.1) !important;
} 
